# Lessonly Api Ruby Client


Ruby client for [Lesson.ly](http://lesson.ly) API.


## Installation

Add the following line to your application's Gemfile

```ruby
gem 'lessonly-api'
```

And then run `bundle install`.

## Usage

First, configure your client:

```ruby
require 'lessonly'

LessonlyApi.configure do |config|
  config.root_url = 'https://api.lesson.ly/api/v1'
  config.api_key = `LESSONLY API KEY`
  config.domain = `LESSONLY SUBDOMAIN`
end
```

This is best done in an application initializer inside `config/initializers`.

From here, you can interact with the Lessonly API resources however you wish:

### Users

```ruby
all_users = LessonlyApi::Users.list

skylar = LessonlyApi::Users.show(user_id)
skylar.name # "John Doe"
skylar.email # "johndoe@aptible.com"

frank = LessonlyApi::User.create({ name: 'Frank Macreery', email: 'frank@aptible.com', role: 'learner' })
frank.name # "Frank Macreery"
```

## Copyright and License

MIT License, see [LICENSE](LICENSE.md) for details.

