# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'lessonly_api/version'

Gem::Specification.new do |spec|
  spec.name          = 'lessonly-api'
  spec.version       = LessonlyApi::VERSION
  spec.authors       = ['Ilya Kamenko']
  spec.email         = ['ilya.kamenko@gmail.com']
  spec.description   = 'Ruby client for Lesson.ly API'
  spec.summary       = 'Ruby client for Lesson.ly API'
  spec.homepage      = 'https://github.com/toptal/lessonly-api'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(spec)/})
  end
  spec.test_files    = spec.files.grep(%r{^spec\/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'activemodel', '>= 3.2'
  spec.add_runtime_dependency 'faraday', '>= 0.8'
  spec.add_runtime_dependency 'gem_config'
  spec.add_runtime_dependency 'httpclient', '~> 2.8'

  spec.add_development_dependency 'bundler', '>= 2.1.2'
  spec.add_development_dependency 'dotenv', '~> 2.2'
  spec.add_development_dependency 'pry-byebug', '~> 3.7'
  spec.add_development_dependency 'rake', '~> 12.3'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'webmock', '~> 3.8'
  spec.add_development_dependency 'sinatra'
  spec.add_development_dependency 'yard'
end
